Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] USE mpi
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2011-05-07 14:26:48


What is the compile line that you are using to compile your application?

If you use "mpif90 ...", then the right compiler directive should be automatically added such that the mpi module will be found (assuming that your OMPI was installed with F90 support, that is).

On May 7, 2011, at 2:09 PM, Steph Bredenhann wrote:

> I have compiled all my fortran source files successfully with openmpi 1.4.3 wrapper for ifort on Ubuntu 10.10, except the main progran file that contains the "include mpif.h" statement. It seems that the "include mpif.h" is deprecated and that one should now use "USE mpi". However, when compiling with this I get the following message:
>
> Compile...
> 3k-1.for(2): error #7002: Error in opening the compiled module file. Check INCLUDE paths. [MPI]
> USE mpi
> ----------^
> compilation aborted for 3k-1.for (code 1)
> done
>
> "/usr/include/mpi" is included in the variable $INCLUDE
>
> Could someone please advise on the next step to take?
>
> Thanks
>
>
>
> --
> Steph Bredenhann
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/